apply plugin: 'com.android.application'

android {
    compileSdk 35
    // compileSdkVersion 35
    // buildToolsVersion '35.0.0'
    namespace 'uni.deepoil.com'
    defaultConfig {
        applicationId "uni.deepoil.com"
        minSdkVersion 21
        // targetSdkVersion 33
        targetSdk 33
        versionCode 10209
        versionName "1.2.9"
        multiDexEnabled true
        compileOptions {
            sourceCompatibility JavaVersion.VERSION_1_8
            targetCompatibility JavaVersion.VERSION_1_8
        }
    }
    signingConfigs {
        config {
            keyAlias '__uni__6e4bc49'
            keyPassword '5yOMqFfh'
            storeFile file('depol.keystore')
            storePassword '5yOMqFfh'
            v1SigningEnabled true
            v2SigningEnabled true
        }
    }

    buildTypes {
        debug {
            signingConfig signingConfigs.config
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
        release {
            signingConfig signingConfigs.config
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
            ndk {
                abiFilters 'armeabi-v7a', 'arm64-v8a'
            }
        }
    }
    aaptOptions {
        additionalParameters '--auto-add-overlay'
        ignoreAssetsPattern "!.svn:!.git:.*:!CVS:!thumbs.db:!picasa.ini:!*.scc:*~"
    }
    buildFeatures {
        buildConfig true
    }
    productFlavors {
        flavorDimensions 'env'
        dev {
            dimension 'env'
        }
        prod {
            dimension 'env'
        }
    }
}

dependencies {
    implementation fileTree(dir: 'libs', include: ['*.aar', '*.jar'], exclude: [])
    implementation 'androidx.appcompat:appcompat:1.1.0'
    implementation 'androidx.localbroadcastmanager:localbroadcastmanager:1.0.0'
    implementation 'androidx.core:core:1.1.0'
    implementation "androidx.fragment:fragment:1.1.0"
    implementation 'androidx.recyclerview:recyclerview:1.1.0'
    implementation 'com.facebook.fresco:fresco:2.5.0'
    implementation "com.facebook.fresco:animated-gif:2.5.0"
    implementation 'com.github.bumptech.glide:glide:4.9.0'
    implementation 'com.alibaba:fastjson:1.2.83'
    implementation 'androidx.webkit:webkit:1.5.0'
    implementation 'com.alibaba.android:ddopenauth:1.5.0.10'
    implementation 'com.github.getActivity:XXPermissions:21.3'
    implementation 'org.jetbrains.kotlin:kotlin-stdlib-jdk8:2.1.21'
}

